Skip to main content
PUT
/
v2
/
vault-plus
/
lists
/
:listId
/
sync
Sync cached media to a vault list
curl --request PUT \
  --url https://api.ofauth.com/v2/vault-plus/lists/:listId/sync \
  --header 'apiKey: <api-key>' \
  --header 'x-connection-id: <x-connection-id>'
{
  "synced": true,
  "listId": "28489180",
  "seen": 42,
  "addedItems": 2,
  "updatedItems": 1,
  "removedItems": 4,
  "unchangedItems": 35,
  "adoptedItems": 0
}

Authorizations

apiKey
string
header
required

Your OFAuth API key for authenticating requests.

Headers

x-connection-id
string
required

Connection ID whose Vault+ list cache should be read or modified.

Minimum string length: 1
Example:

"conn_v5bsqkzsjfk8cgr7hqbbw09t"

Path Parameters

listId
string
required

OnlyFans vault list ID to use for the authoritative sync.

Example:

"28489180"

Response

Authoritative list sync completed. First sync establishes the baseline and removes nothing. Later syncs remove only media missing from the current list and present in the previous sync baseline.

Authoritative list sync response.

synced
boolean
required

Whether the sync completed.

Example:

true

listId
string
required

OnlyFans vault list ID.

Example:

"28489180"

seen
number
required

Number of media items seen in the current OF list fetch.

Example:

42

addedItems
number
required

Number of current-list media items not already cached and queued for caching.

Example:

2

updatedItems
number
required

Number of current-list media items with changed fingerprints or stale cached metadata, purged and queued again.

Example:

1

removedItems
number
required

Number of prior-baseline media items purged because they are missing from the current list and not owned by another cached list.

Example:

4

unchangedItems
number
required

Number of current-list media items already present in the previous sync baseline and still current.

Example:

35

adoptedItems
number
required

Number of current-list media items already cached by Vault+ but not present in this list's previous sync baseline.

Example:

0